--- qt-everywhere-opensource-src-5.1.1/qtbase/qmake/generators/makefile.cpp.orig	2013-09-16 17:20:20.173372048 +0200
+++ qt-everywhere-opensource-src-5.1.1/qtbase/qmake/generators/makefile.cpp	2013-09-16 17:26:25.743082549 +0200
@@ -3270,7 +3270,10 @@
         pkgConfiglibName = "-framework " + bundle + " ";
     } else {
         pkgConfiglibDir = "-L${libdir}";
-        pkgConfiglibName = "-l" + fileInfo(fname).completeBaseName();
+        if ((fileInfo(fname).completeBaseName()).startsWith("lib")) 
+            pkgConfiglibName = "-l" + (fileInfo(fname).completeBaseName()).mid(3);
+        else
+            pkgConfiglibName = "-l" + fileInfo(fname).completeBaseName();
         if (project->isActiveConfig("shared"))
             pkgConfiglibName += project->first("TARGET_VERSION_EXT").toQString();
     }
